Name:          java-slf4j
Version:       1.7.36
Release:       1mamba
Summary:       Simple Logging Facade for Java (SLF4J)
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.slf4j.org/
Source0:       https://repo1.maven.org/maven2/org/slf4j/jcl-over-slf4j/%{version}/jcl-over-slf4j-%{version}.jar
Source1:       https://repo1.maven.org/maven2/org/slf4j/jul-to-slf4j/%{version}/jul-to-slf4j-%{version}.jar
Source2:       https://repo1.maven.org/maven2/org/slf4j/log4j-over-slf4j/%{version}/log4j-over-slf4j-%{version}.jar
Source3:       https://repo1.maven.org/maven2/org/slf4j/slf4j-api/%{version}/slf4j-api-%{version}.jar
Source4:       https://repo1.maven.org/maven2/org/slf4j/slf4j-ext/%{version}/slf4j-ext-%{version}.jar
Source5:       https://repo1.maven.org/maven2/org/slf4j/slf4j-jcl/%{version}/slf4j-jcl-%{version}.jar
Source6:       https://repo1.maven.org/maven2/org/slf4j/slf4j-jdk14/%{version}/slf4j-jdk14-%{version}.jar
Source7:       https://repo1.maven.org/maven2/org/slf4j/slf4j-reload4j/%{version}/slf4j-reload4j-%{version}.jar
Source8:       https://repo1.maven.org/maven2/org/slf4j/slf4j-migrator/%{version}/slf4j-migrator-%{version}.jar
Source9:       https://repo1.maven.org/maven2/org/slf4j/slf4j-nop/%{version}/slf4j-nop-%{version}.jar
Source10:      https://repo1.maven.org/maven2/org/slf4j/slf4j-simple/%{version}/slf4j-simple-%{version}.jar
Source11:      https://raw.githubusercontent.com/qos-ch/slf4j/v_%{version}/LICENSE.txt
License:       Apache Software License 2.0, GPL, MIT, X11
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
Requires:      javapackages

%description
The Simple Logging Facade for Java or (SLF4J) is intended to serve as a simple facade for various logging APIs allowing to the end-user to plug in the desired implementation at deployment time. SLF4J also allows for a gradual migration path away from Jakarta Commons Logging (JCL).
Logging API implementations can either choose to implement the SLF4J interfaces directly, e.g. NLOG4J or SimpleLogger. Alternatively, it is possible (and rather easy) to write SLF4J adapters for the given API implementation, e.g. Log4jLoggerAdapter or JDK14LoggerAdapter.

%prep
%setup -q -c
cp %{SOURCE11} LICENSE.txt

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}/slf4j

#install -m 644 jcl104-over-slf4j/target/jcl104-over-slf4j-%{version}.jar \
#   %{buildroot}%{_javadir}/slf4j/jcl104-over-slf4j-%{version}.jar
install -m 644 %{SOURCE0} \
	%{buildroot}%{_javadir}/slf4j/jcl-over-slf4j-%{version}.jar
install -m 644 %{SOURCE1} \
	%{buildroot}%{_javadir}/slf4j/jul-to-slf4j-%{version}.jar
install -m 644 %{SOURCE2} \
	%{buildroot}%{_javadir}/slf4j/log4j-over-slf4j-%{version}.jar
install -m 644 %{SOURCE3} \
	%{buildroot}%{_javadir}/slf4j/api-%{version}.jar
#install -m 644 slf4j-api/target/slf4j-api-%{version}-tests.jar \
#	%{buildroot}%{_javadir}/slf4j/api-tests-%{version}.jar
install -m 644 %{SOURCE4} \
	%{buildroot}%{_javadir}/slf4j/ext-%{version}.jar
install -m 644 %{SOURCE5} \
	%{buildroot}%{_javadir}/slf4j/jcl-%{version}.jar
install -m 644 %{SOURCE6} \
	%{buildroot}%{_javadir}/slf4j/jdk14-%{version}.jar
install -m 644 %{SOURCE7} \
	%{buildroot}%{_javadir}/slf4j/reload4j-%{version}.jar
#install -m 644 slf4j-log4j12/target/slf4j-log4j12-%{version}.jar \
#	%{buildroot}%{_javadir}/slf4j/log4j12-%{version}.jar
install -m 644 %{SOURCE8} \
	%{buildroot}%{_javadir}/slf4j/migrator-%{version}.jar
install -m 644 %{SOURCE9} \
	%{buildroot}%{_javadir}/slf4j/nop-%{version}.jar
install -m 644 %{SOURCE10} \
	%{buildroot}%{_javadir}/slf4j/simple-%{version}.jar
#install -m 644 slf4j-site/target/slf4j-site-%{version}.jar \
#	%{buildroot}%{_javadir}/slf4j/site-%{version}.jar

(
	cd %{buildroot}%{_javadir}/slf4j
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_javadir}/slf4j
%{_javadir}/slf4j/api-%{version}.jar
#%{_javadir}/slf4j/api-tests-%{version}.jar
#%{_javadir}/slf4j/api-tests.jar
%{_javadir}/slf4j/api.jar
%{_javadir}/slf4j/ext-%{version}.jar
%{_javadir}/slf4j/ext.jar
%{_javadir}/slf4j/jcl-%{version}.jar
%{_javadir}/slf4j/jcl-over-slf4j-%{version}.jar
%{_javadir}/slf4j/jcl-over-slf4j.jar
%{_javadir}/slf4j/jcl.jar
#%{_javadir}/slf4j/jcl104-over-slf4j-%{version}.jar
#%{_javadir}/slf4j/jcl104-over-slf4j.jar
%{_javadir}/slf4j/jdk14-%{version}.jar
%{_javadir}/slf4j/jdk14.jar
%{_javadir}/slf4j/jul-to-slf4j-%{version}.jar
%{_javadir}/slf4j/jul-to-slf4j.jar
%{_javadir}/slf4j/log4j-over-slf4j-%{version}.jar
%{_javadir}/slf4j/log4j-over-slf4j.jar
#%{_javadir}/slf4j/log4j12-%{version}.jar
#%{_javadir}/slf4j/log4j12.jar
%{_javadir}/slf4j/reload4j-%{version}.jar
%{_javadir}/slf4j/reload4j.jar
%{_javadir}/slf4j/migrator-%{version}.jar
%{_javadir}/slf4j/migrator.jar
%{_javadir}/slf4j/nop-%{version}.jar
%{_javadir}/slf4j/nop.jar
%{_javadir}/slf4j/simple-%{version}.jar
%{_javadir}/slf4j/simple.jar
%doc LICENSE.txt

%changelog
* Wed Aug 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.36-1mamba
- update to 1.7.36

* Sat Nov 06 2010 gil <puntogil@libero.it> 1.5.8-3mamba
- rebuilt devel

* Tue Jan 19 2010 gil <puntogil@libero.it> 1.5.8-2mamba
- rebuilt with ant

* Tue Jun 23 2009 gil <puntogil@libero.it> 1.5.8-1mamba
- package created by autospec
